maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "javadevdave@googlemail.com" <javadevd...@googlemail.com>
Subject Re: [MAVEN - PMD]
Date Thu, 16 Jul 2009 10:40:47 GMT
he, thanks, again for the answer.. but ...

...my real problem is, that the behavior of the maven plugin using
dependency to pmd-jdk14(4.2.5), is another than pmd version 4.2.5
applied from console!
Im have my own ruleset configuration with an exlude pattern. This
exclude-pattern is correctly used from pmd, but ignored when I start
from maven-pmd-plugin...

Is this a bug?

thanks

2009/7/16 Arnaud HERITIER <aheritier@gmail.com>:
> The issue is already opened : http://jira.codehaus.org/browse/MPMD-97pmd-jdk14
> is used because maven < 2.2.0 has to be compatible with Java 1.4
> In the meantime you can try to upgrade locally the pmd version used in the
> plugin with :
>
>
>  <build>
>    <plugins>
>      <plugin>
>        <groupId>org.apache.maven.plugins</groupId>
>        <artifactId>maven-pmd-plugin</artifactId>
>        <version>2.3</version>
>
>        <dependencies>
>
>          <dependency>
>              <groupId>pmd</groupId>
>              <artifactId>pmd-jdk14</artifactId>
>              <version>4.2.5</version>
>          </dependency>
>
>        </dependencies>
>      </plugin>
>    </plugins>
>  </build>
>
>
> Cheers,
>
> Arnaud
>
> # Arnaud Héritier
> # Software Factory Manager
> # eXo Platform
> # http://www.exoplatform.com
> # http://blog.aheritier.net
>
>
> On Thu, Jul 16, 2009 at 8:02 AM, javadevdave@googlemail.com <
> javadevdave@googlemail.com> wrote:
>
>> Hi!
>>
>> thanks for that answer... but why does it use pmd-jdk14 and not the
>> pmd-4.2.2.jar ?
>> (i looked for this jar as dependency and so i couldnt find the version...)
>>
>> Is there a plan to adapt the maven-pmd-plugin to 4.2.5? (cause
>> ruleset- exclude patterns doesnt work with the actual plugin... but
>> with pm 4.2.5 )
>>
>> Or is there another way, to say to the plugin to use pmd version 4.2.5?
>>
>> thanks
>>
>>
>> 2009/7/15 Arnaud HERITIER <aheritier@gmail.com>:
>> > PMD 4.2.2
>> http://maven.apache.org/plugins/maven-pmd-plugin/dependencies.html
>> >
>> > Cheers,
>> >
>> > Arnaud
>> >
>> > # Arnaud Héritier
>> > # Software Factory Manager
>> > # eXo Platform
>> > # http://www.exoplatform.com
>> > # http://blog.aheritier.net
>> >
>> >
>> > On Wed, Jul 15, 2009 at 3:42 PM, javadevdave@googlemail.com <
>> > javadevdave@googlemail.com> wrote:
>> >
>> >> Hello!
>> >>
>> >> Does anybody know which PMD Version is included in the actual Maven-PMD
>> >> plugin ?
>> >> I cant find it on the website..
>> >>
>> >> thanks...
>> >>
>> >> ---------------------------------------------------------------------
>> >> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
>> >> For additional commands, e-mail: users-help@maven.apache.org
>> >>
>> >>
>> >
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
>> For additional commands, e-mail: users-help@maven.apache.org
>>
>>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message